This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 879435 - Review Request: c-graph - an interactive package that demonstrates the mathematical operation of convolution
Review Request: c-graph - an interactive package that demonstrates the mathem...
Status: CLOSED DUPLICATE of bug 881794
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-22 20:41 EST by Adrienne Thompson
Modified: 2013-10-19 22:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 04:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrienne Thompson 2012-11-22 20:41:49 EST
Spec URL: <spec info here>
SRPM URL: <srpm info here>
URL: http://www.gnu.org/software/c-graph

Description: <GNU C-Graph is a tool for visualizing the mathematical operation of convolution underlying natural phenomena susceptible to analysis in terms of engineering signals and systems theory. "C-Graph" is an abbreviation for "Convolution Graph". The package is derived from the BSc. Honours dissertation in Electrical Engineering "Interactive Computer Package Demonstrating: Sampling Convolution and the FFT", Adrienne Gaye Thompson, University of Aberdeen (1983).

The package computes the linear convolution of two signals in the time domain then compares their circular convolution by demonstrating the convolution theorem. Each signal is modelled by a register of discrete values simulating samples of a signal, and the discrete Fourier transform (DFT) computed by means of the Fast Fourier Transform (FFT). 

GNU C-Graph is interactive, prompting the user to enter character or numerical values from the keyboard, dispensing with the learning curve for writing code. The software will be useful in the teaching of signals and systems theory, both to students and their professors for lecture demonstrations and lab work.

C-Graph is written in modern Fortran. Adrienne Gaye Thompson is the sole author of GNU C-Graph.
>

Fedora Account System Username: Adrienne Thompson
Comment 1 Susi Lehtola 2012-11-22 23:49:21 EST
Spec? SRPM?
Comment 2 Adrienne Thompson 2012-11-23 10:48:28 EST
Hi Jussi,

It's been a while since I looked at an rpm. I thought the review process was simple, only to discover from bugzilla that I need both a spec file and a built srpm.:)

It will take me a little while to figure out what a spec file is and to sort out how to do the build - my desk is cluttered. Let me get back to you on this.

Why did I think you had auto plugins to easily do the conversion? Someone ought to write an app that does the job of easily converting the tarball to an srpm.:)

I may not be able to even look into the problem until January as I have lots of web work to complete at gnu.org/software/c-graph. Until then, please have a look at the package. Thank you,

Adrienne
Comment 3 Michael Scherer 2012-11-23 11:23:57 EST
For the review process :
https://fedoraproject.org/wiki/Package_Review_Process
Comment 4 Adrienne Thompson 2012-11-23 12:31:30 EST
https://fedoraproject.org/wiki/Package_Review_Process

I did have a quick look at the page. I'll get back to Fedora when I have more time to deal with the spec file and srpm build.
Comment 5 Adrienne Thompson 2012-11-26 11:42:24 EST
Having given further thought to the problem, I have decided that my workload does not allow the task of building the SRPM any time in the near future.

Extrapolating the download statistics for gnu.org, I estimate that since its release last year, C-Graph's user base is somewhere in the tens of thousands. GNU C-Graph seems likely to become a popular educational tool for engineering signals/systems theory and computer vision.

Accordingly, you might consider undertaking the requisite packaging yourselves as Fedora will find the investment of time and resources worthwhile. Please advise me should you decide to do so.
Comment 6 Paulo Andrade 2012-11-28 19:41:43 EST
Adrienne asked me if I could give some quick help/advice as I
just became maintainer of a gnu package :-), so I created the
required files for a review request.
I volunteer to maintain this package, so, if approved, I will
make a scm request in my name.

Spec URL: http://pcpa.fedorapeople.org/c-graph.spec
SRPM URL: http://pcpa.fedorapeople.org/c-graph-2.0-1.fc19.src.rpm
Comment 7 Susi Lehtola 2012-11-29 04:00:28 EST
Paulo: please input your full name in bugzilla.

And, as you should be aware, the review requests are person specific, so please open a new bug.

This one is closed as WONTFIX.
Comment 8 Paulo Andrade 2012-11-29 10:24:50 EST
Thanks. I made a proper review request in #881794
Please consider reviewing it, it is a very simple package.
Comment 9 Christopher Meng 2013-10-19 22:46:15 EDT

*** This bug has been marked as a duplicate of bug 881794 ***

Note You need to log in before you can comment on or make changes to this bug.